# Send challenge information Send pre-authentication information to customer for challenge. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - 3DS authentication", "description": "3DS API endpoint documentation.", "contact": { "name": "API Support", "email": "support@pismo.com.br", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo", "url": "https://developers.pismo.io/licenses/" }, "version": "1.0.0" }, "servers": [ { "url": "https://api-sandbox.pismolabs.io/3ds-acs", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "HST", "description": "Endpoints to provide integration with HST." } ], "components": { "parameters": { "accountIDheader": { "in": "header", "name": "account_id", "schema": { "type": "integer" }, "description": "Account ID", "required": true }, "cardIDheader": { "in": "header", "name": "card_id", "schema": { "type": "integer" }, "description": "Card ID", "required": true }, "tenantIDheader": { "name": "x-tenant", "in": "header", "schema": { "type": "string" }, "required": true, "description": "Tenant/org ID" } }, "schemas": { "ChallengeRequest": { "type": "object", "required": [ "id", "external_id", "provider", "type", "raw_provider" ], "properties": { "id": { "$ref": "#/components/schemas/PismoAuthID" }, "external_id": { "$ref": "#/components/schemas/ExternalID" }, "provider": { "$ref": "#/components/schemas/Provider" }, "type": { "$ref": "#/components/schemas/Type" }, "raw_provider": { "$ref": "#/components/schemas/RawProvider" } } }, "ExternalID": { "type": "string", "description": "Provider-generated unique ID for client monitoring and tracking", "example": "ABC123456" }, "PismoAuthID": { "type": "string", "description": "Pismo-generated unique authentication ID", "example": "ff77635e-1cd6-4fda-992d-5ceb71d75644" }, "Provider": { "type": "string", "description": "Third-party provider name", "enum": [ "HST" ], "example": "HST" }, "RawProvider": { "type": "object", "description": "All non-PCI information received from provider. Check provider documentation for details." }, "Type": { "type": "string", "description": "Evaluation intention", "example": "authentication", "enum": [ "authentication", "challenge-request" ] } } }, "paths": { "/customer_challenge_request_provided_url": { "post": { "summary": "Send challenge information", "description": "Send pre-authentication information to customer for challenge.", "operationId": "postChallengeRequest", "tags": [ "HST" ], "parameters": [ { "$ref": "#/components/parameters/tenantIDheader" }, { "$ref": "#/components/parameters/accountIDheader" }, { "$ref": "#/components/parameters/cardIDheader" } ], "requestBody": { "description": "Send information to challenge solicitation", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ChallengeRequest" }, "examples": { "Basic example": { "value": { "id": "ff77635e-1cd6-4fda-992d-5ceb71d75644", "external_id": "ABC123456", "provider": "HST", "type": "challenge-request", "raw_provider": { "valueA": "a", "valueB": 1, "valueC": false, "valueD": { "valueD1": "x" }, "valueN": "..." } } } } } } }, "responses": { "200": { "description": "OK" } } } } } } ```